.TH csvconv_csv 5

.SH NAME
csvconv_csv -  Format of CSV files understood by csvconv(1)

.SH DESCRIPTION
CSV (comma sperated values) is a rather nasty file format to parse, as there
are many different variants, styles and types of this format around, each
having it's own set of features and/or restrictions. 
.P
As there is no real standard for CSV, this manpage will list, what is
accepted by
.BR csvconv
and what not (some features have to be explicitly activated in the config
file):

.IP *
Each line represents one record.

.IP *
Lines are terminated by <LF> not by <CR><LF> or <CR>.

.IP *
Elements in the record are seperated by exactly one delimeter charactor
(per default a comma). Spaces, newlines and double-quotes can not be used 
as separators.

.IP *
If an element contains a linebreak, then this field has to be
enclosed in double-quotes.

.IP *
If an element contains the seperator chraracter, then this field has to
be enclosed in double-quotes.

.IP *
If a field contains a double-quote, it has to be embedded between two
double-quotes itself.

.IP *
Any field may be enclosed in double-quotes, no matter if required or not.

.SH SEE ALSO
.BR csvconv (1),
.BR csvconv_cfg (5)

.SH AUTHOR
Patrick Ahlbrecht <p.ahlbrecht@billiton.de>
