.TH memory 1
.SH NAME
memory - remember text strings

.SH SYNOPSIS
.B memory 
[\-h] 
[\-i]
[\-s\ <key>]
[\-a\ <key>]
[\-d\ <key>]
[\-q\ <regex>] 
[\-v\ <value>]
[\-f\ <file>]
[\-l\ <file>]
[\-t\ <string>]
[\-e\ <regex>]

.SH DESCRIPTION
.B memory
is a program for storing text strings in a database file. It's
purpose is to create disk based and therefore persistent hashtables, that 
can be shared between different program instances.

.SH OPTIONS

.IP "-h"
Print usage information and exit.

.IP "-i"
Use inverse regular expression matching, when erasing entries.

.IP "-s <key>"
Store <key> in the memory file. If <key> already exists, it'll be overidden.

.IP "-a <key>"
Add <key> to the memory file. If <key> already exists, it won't be
overridden and the program will exit with failure.

.IP "-d <key>"
Delete <key> from the memory file. If <key> does not exist, the program will
exit with failure. File space is not recovered (but marked for reuse
instead).

.IP "-q <regex>"
Query for entries, where the format string matches the regular expression
<regex>. If none is found, the program will exit with failure. Otherwise all
matching entries are printed (as specified by the format string).

.IP "-v <value>"
Assign an optional <value> to the key. This option does nothing unless
combined with either -a or -s command line switch. The default for <value>
is an emtpy string.

.IP "-f <file>"
Use <file> as the memory file. If this option is not given, then the
basename of the program suffixed by ".db" will be used as default name.

.IP "-l <file>"
List a memory <file>. Contents are printed as specfied by the format string.

.IP "-t <string>"
Specify format string, used for output generation and regular expression
matching. The default format string is "=key\\enn".

.IP "-e <regex>"
Erase all entries, where <regex> matches the format string. The according
file will be reorganized (unused space will be recovered) afterwards.

.SH FORMAT STRING
Memory uses a format string for listing file content and regular expression
matching. Within this format string the macros "=key" (key value), "=val"
(value for the key, if available), "\\en" (newline character) and "\\et" 
(tabulator) are expanded.

.SH ENVIRONMENT

.IP FSTRING
If set and -t is not specified, the format string will be taken from this
environment variable.

.SH BUGS
Write request are slow and take a lot of CPU cycles, since the memory is file
based.

.SH SEE ALSO
.BR regex(7)


.SH AUTHOR
Patrick Ahlbrecht <p.ahlbrecht@billiton.de>
